Bug 153035 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 22:45 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 20:01:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes the warnings (96.53 KB, patch)
2005-04-01 00:24 EST, Colin Charles
no flags Details | Diff

  None (edit)
Description Ricky Ng-Adam 2005-03-31 22:45:10 EST
Description of problem:

/usr/share/system-config-bind/ZoneTree.py:914: GtkDeprecationWarning: gtk.TRUE
is deprecated, use True instead
  s.tree.set_reorderable(gtk.TRUE)
/usr/share/system-config-bind/ZoneTree.py:894: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  w.pack_start(l,gtk.FALSE)
/usr/share/system-config-bind/ZoneTree.py:897: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  w.pack_start(s.search_value,gtk.FALSE)
/usr/share/system-config-bind/ZoneTree.py:905: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  s.showDNSSEC.set_active(gtk.FALSE)

Version-Release number of selected component (if applicable):

4.0.0-4.4

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.
Comment 1 Colin Charles 2005-04-01 00:23:04 EST
Attached patch fixes all possible warnings thru the entire code
(s/gtk.TRUE/True/g) and so on. Apply them, and rebuild so the warnings disappear.
Comment 2 Colin Charles 2005-04-01 00:24:28 EST
Created attachment 112569 [details]
fixes the warnings
Comment 3 Jason Vas Dias 2005-04-04 10:11:37 EDT
This bug was caused by pygtk2-2.6.0 .
It is now fixed in system-config-bind-4.0.0-7 .

Note You need to log in before you can comment on or make changes to this bug.